<?php // Do not delete these lines
	if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME'])) die ('Please do not load this page directly. Thanks!');

	if (!empty($post->post_password)) { // if there's a password
		if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
			?>
			<p class="nocomments">This post is password protected. Enter the password to view comments.<p>
			<?php
			return;
		}
	}
?>

<?php if ($comments) : ?>
	<div id="comments">
		
		<h3><?php comments_number('No Comments', 'One Comment', '% Comments' );?> on this post</h3> 

		<ol>
		<?php foreach ($comments as $comment) : ?>
			<li id="comment-<?php comment_ID() ?>">

				<h4>Posted by <cite><?php comment_author_link() ?></cite> <span><?php comment_date('F jS, Y') ?> at <?php comment_time() ?></span></h4>

				<?php if ($comment->comment_approved == '0') : ?>
					<p><em>Your comment is awaiting moderation.</em></p>
				<?php endif; ?>

				<?php comment_text() ?>
	
			</li>
		<?php endforeach; /* end for each comment */ ?>
		</ol>
	
	</div>
<?php else : // this is displayed if there are no comments so far ?>

	<?php if ('open' == $post->comment_status) : ?> 
		
		<!-- If comments are open, but there are no comments. -->

	<?php else : // comments are closed ?>
		
		<!-- If comments are closed. -->
		<p class="no-comments">Comments are closed.</p>

	<?php endif; ?>

<?php endif; ?>

<?php if ('open' == $post->comment_status) : ?>
	<div id="post-comment">

		<h3>Leave a Reply</h3>

		<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
			<p>You must be <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>">logged in</a> to post a comment.</p>
		<?php else : ?>
			<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post">
				<?php if ( $user_ID ) : ?>
					<p>Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="Log out of this account">Logout &raquo;</a></p>
				<?php else : ?>
					<p class="text"><label for="author">Name<?php if ($req) echo " *"; ?></label><br /><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" /></p>
					
					<p class="text"><label for="email">Mail<?php if ($req) echo " *"; ?></label><br /><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" /></p>

					<p class="text"><label for="url">Website</label><br /><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" /></p>
				<?php endif; ?>

				<!--<p><small><strong>XHTML:</strong> You can use these tags: <?php echo allowed_tags(); ?></small></p>-->
				<p class="textarea"><label for="comment">Your Comment</label><br /><textarea name="comment" id="comment" cols="75" rows="7" tabindex="4"></textarea></p>

				<p class="submit"><input name="submit" type="image" id="submit" tabindex="5" alt="Publish" src="wp-content/themes/my-poker-blog-3/gfx/blue/btn-publish.gif" /><input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" /></p>

				<?php do_action('comment_form', $post->ID); ?>
			</form>
		<?php endif; // If registration required and not logged in ?>
	
	</div>
<?php endif; // if you delete this the sky will fall on your head ?>