<?php get_header(); ?>

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

	<div class="navigation">
		
		<div class="previous">&nbsp;</div>
		<div class="next">&nbsp;</div>
	
	</div>

	<?php $attachment_link = get_the_attachment_link($post->ID, true, array(450, 800)); // This also populates the iconsize for the next line ?>

	<div class="post" id="post-<?php the_ID(); ?>">
		
		<h2><a href="<?php echo get_permalink($post->post_parent); ?>" rev="attachment"><?php echo get_the_title($post->post_parent); ?></a> &raquo; <a href="<?php echo get_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>"><?php the_title(); ?></a></h2>
		
		<p><?php echo $attachment_link; ?><br /><?php echo basename($post->guid); ?></p>

		<?php the_content('<p>Read the rest of this entry &raquo;</p>'); ?>

		<?php link_pages('<p><strong>Pages:</strong> ', '</p>', 'number'); ?>

		<p class="postmetadata">
			<small>
				This entry was posted on <?php the_time('l, F jS, Y') ?> at <?php the_time() ?> and is filed under <?php the_category(', ') ?>. You can follow any responses to this entry through the <?php comments_rss_link('RSS 2.0'); ?> feed. 

				<?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
					
					// Both Comments and Pings are open ?>
					You can <a href="#respond">leave a response</a>, or <a href="<?php trackback_url(true); ?>" rel="trackback">trackback</a> from your own site.

				<?php } elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
					
					// Only Pings are Open ?>
					Responses are currently closed, but you can <a href="<?php trackback_url(true); ?> " rel="trackback">trackback</a> from your own site.

				<?php } elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
					
					// Comments are open, Pings are not ?>
					You can skip to the end and leave a response. Pinging is currently not allowed.

				<?php } elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
					
					// Neither Comments, nor Pings are open ?>
					Both comments and pings are currently closed.

				<?php } edit_post_link('Edit this entry.','',''); ?>

			</small>
		</p>

	</div>

	<?php comments_template(); ?>

<?php endwhile; else: ?>

	<p>Sorry, no attachments matched your criteria.</p>

<?php endif; ?>

<?php get_footer(); ?>