<?php get_header(); ?>

<?php if (have_posts()) : ?>

	<h2>Search Results</h2>

	<div class="navigation">
			
			<div class="previous"><?php next_posts_link('&laquo; Previous Entries') ?></div>
			<div class="next"><?php previous_posts_link('Next Entries &raquo;') ?></div>
	
	</div>

	<?php while (have_posts()) : the_post(); ?>

		<div class="post" id="post-<?php the_ID(); ?>">
			
			<p class="first-child"><span>Posted in <?php the_category(', ') ?></span> <?php edit_post_link('<span>Edit</span>', '', ' '); ?>  <span class="comments"><?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></span> <span><?php the_time('F jS, Y') ?></span></p>

			<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>

			<?php the_content('Read the rest of this entry &raquo;'); ?>
		
		</div>

	<?php endwhile; ?>

	<div class="navigation">
			
			<div class="previous"><?php next_posts_link('&laquo; Previous Entries') ?></div>
			<div class="next"><?php previous_posts_link('Next Entries &raquo;') ?></div>
	
	</div>

<?php else : ?>

	<h2>No posts found. Try a different search?</h2>
	
	<?php include (TEMPLATEPATH . '/searchform.php'); ?>

<?php endif; ?>

<?php get_footer(); ?>